﻿using System.Runtime.Serialization;

namespace ProjectAirFighter.Exceptions;
/// <summary>
/// Класс, описывающий ошибку, что в коллекции уже есть такой элемент
/// </summary>
[Serializable]
public class ObjectAlreadyExistsException : ApplicationException
{
    public ObjectAlreadyExistsException(object i) : base("В коллекции уже есть такой элемент " + i) { }
    public ObjectAlreadyExistsException() : base() { }
    public ObjectAlreadyExistsException(string message) : base(message) { }
    public ObjectAlreadyExistsException(string message, Exception exception) : base(message, exception)
    { }
    protected ObjectAlreadyExistsException(SerializationInfo info, StreamingContext context) : base(info, context) { }
}
